Skip to content

CreateProductType will create a new ProductType

You call thisScope not enforced

POST
/v2/storefront/taxonomy/product_type
curl --request POST \
--url https://api.zentail.com/v2/storefront/taxonomy/product_type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "productType": { "productTypeId": "example", "displayName": "example", "updatedAt": "2026-04-15T12:00:00Z", "createdAt": "2026-04-15T12:00:00Z" } }'
Media typeapplication/json
CreateProductTypeRequest is used to create a new ProductType
object
productType

ProductType are detailed classifications dictated by the channel. They should be at least as specific as the Category. Generally they should be more specific than the Category. Product Types are used to specify which attributes are required and recommended for a given Listing. If this is not a concept in your system, you should create a product type for each category.

object
productTypeId
string
displayName
string
updatedAt
string format: date-time
createdAt
string format: date-time
Examplegenerated
{
"productType": {
"productTypeId": "example",
"displayName": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"createdAt": "2026-04-15T12:00:00Z"
}
}

A successful response.

Media typeapplication/json
CreateProductTypeResponse returns the newly created ProductType
object
productType

ProductType are detailed classifications dictated by the channel. They should be at least as specific as the Category. Generally they should be more specific than the Category. Product Types are used to specify which attributes are required and recommended for a given Listing. If this is not a concept in your system, you should create a product type for each category.

object
productTypeId
string
displayName
string
updatedAt
string format: date-time
createdAt
string format: date-time
Examplegenerated
{
"productType": {
"productTypeId": "example",
"displayName": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"createdAt": "2026-04-15T12:00:00Z"
}
}

An unexpected error response.

Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}

Sourceapi-proto@afdb30cc via [email protected]

Built0c509dd3

This page describes the source document as deployed: the version taxonomy pinned in its release r2026.09.24. A change merged upstream shows up here once it has deployed and the pins are next refreshed.

API changelog